unit Unit1;

{ (c) Fbio Haertel Kochhann }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, StdCtrls, ComCtrls, Buttons, ImgList, inifiles;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Copy1: TMenuItem;
    SetFont2: TMenuItem;
    SetBackground1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    StatusBar1: TStatusBar;
    RichEdit1: TRichEdit;
    Undo1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    Selecionartudo1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton10: TSpeedButton;
    ColorDialog1: TColorDialog;
    ImageList1: TImageList;
    PopupMenu1: TPopupMenu;
    Desfazer1: TMenuItem;
    N5: TMenuItem;
    Copiar1: TMenuItem;
    N6: TMenuItem;
    Selecionarcordafonte1: TMenuItem;
    Selecionarcordefundo1: TMenuItem;
    N7: TMenuItem;
    Selecionartudo2: TMenuItem;
    ComboBox1: TComboBox;
    ColorDialog2: TColorDialog;
    procedure Open1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Undo1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Selecionartudo1Click(Sender: TObject);
    procedure SetFont2Click(Sender: TObject);
    procedure SetBackground1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton10Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Desfazer1Click(Sender: TObject);
    procedure Copiar1Click(Sender: TObject);
    procedure Selecionarcordafonte1Click(Sender: TObject);
    procedure Selecionarcordefundo1Click(Sender: TObject);
    procedure Selecionartudo2Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
    procedure SalvaIni;
    procedure AbreIni;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  PreviousFoundPos: integer;

implementation

uses Unit2;

{$R *.dfm}


procedure TForm1.SalvaIni;
var
IniFile: TIniFile;
begin
// Cria o arquivo .ini
IniFile := TINIFile.Create(ExtractFilePath(Application.EXEName) + 'nfocfg.ini');
IniFile.WriteInteger('Fonte','Tamanho',RichEdit1.Font.Size);
IniFile.WriteInteger('Fonte','Cor',RichEdit1.Font.Color);
IniFile.WriteInteger('Fundo','Cor',RichEdit1.Color);
inifile.Free;
end;

procedure TForm1.AbreIni;
var
IniFile: TIniFile;
begin
// Cria o arquivo .ini
if(FileExists('nfocfg.ini')=true) then
begin
IniFile := TINIFile.Create(ExtractFilePath(Application.EXEName) + 'nfocfg.ini');
RichEdit1.Font.Size:=IniFile.ReadInteger('Fonte','Tamanho',9);
ComboBox1.ItemIndex:=ComboBox1.Items.IndexOf(inttostr(RichEdit1.Font.Size));
RichEdit1.Font.Color:=IniFile.ReadInteger('Fonte','Cor',RichEdit1.Font.Color);
ColorDialog1.Color:=RichEdit1.Font.Color;
RichEdit1.Color:=IniFile.ReadInteger('Fundo','Cor',RichEdit1.Color);
ColorDialog2.Color:=RichEdit1.Color;
inifile.Free;
end;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
{ Abre arquivo }
if (OpenDialog1.Execute) then
RichEdit1.Lines.LoadFromFile(OpenDialog1.FileName);
if(OpenDialog1.FileName<>'') then
StatusBar1.SimpleText:='Status: Aberto '+OpenDialog1.FileName;
RichEdit1.Font.Name:='Comic Sans Ms';
RichEdit1.Font.Name:='Terminal';
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
{ Abre arquivo boto }
Open1.Click; // Abre janela de abrir
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
try
SalvaIni;
finally
Application.Terminate;
end;
end;

procedure TForm1.Undo1Click(Sender: TObject);
begin
RichEdit1.Undo;
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
RichEdit1.CopyToClipboard;
end;

procedure TForm1.Selecionartudo1Click(Sender: TObject);
begin
RichEdit1.SelectAll;
end;

procedure TForm1.SetFont2Click(Sender: TObject);
begin
if (ColorDialog1.Execute) then
RichEdit1.Font.Color:=ColorDialog1.Color;
end;

procedure TForm1.SetBackground1Click(Sender: TObject);
begin
if (ColorDialog2.Execute) then
RichEdit1.Color:=ColorDialog2.Color;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
Undo1.Click;
end;

procedure TForm1.SpeedButton6Click(Sender: TObject);
begin
Copy1.Click;
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
SetFont2.Click;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
SetBackground1.Click;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
Selecionartudo1.Click;
end;

procedure TForm1.SpeedButton10Click(Sender: TObject);
begin
About1.Click;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
Exit1.Click;
end;

procedure TForm1.Desfazer1Click(Sender: TObject);
begin
Undo1.Click;
end;

procedure TForm1.Copiar1Click(Sender: TObject);
begin
RichEdit1.CopyToClipboard;
end;

procedure TForm1.Selecionarcordafonte1Click(Sender: TObject);
begin
SetFont2.Click;
end;

procedure TForm1.Selecionarcordefundo1Click(Sender: TObject);
begin
SetBackground1.Click;
end;

procedure TForm1.Selecionartudo2Click(Sender: TObject);
begin
RichEdit1.SelectAll;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
Form2.Show;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

AbreIni; // carrega informaes do .ini

{ Abrir com... }
if(ParamStr(1)<>'') then begin
RichEdit1.Lines.LoadFromFile(ParamStr(1));
StatusBar1.SimpleText:='Status: Aberto '+ ParamStr(1);
RichEdit1.Font.Name:='Comic Sans Ms';
RichEdit1.Font.Name:='Terminal';
end;
end;

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
RichEdit1.Font.Size:=StrToInt(ComboBox1.Text);
end;


procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
SalvaIni;
end;

end.

